aboutsummaryrefslogtreecommitdiff
path: root/bash/npm.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2018-03-23 20:38:44 -0300
committerEuAndreh <eu@euandre.org>2018-03-23 20:49:09 -0300
commit4e734232c611890f616194ed5cfade2549e4491b (patch)
tree38e74c5f28aaa8ecc8c6cbff7836d919c8fa7a1b /bash/npm.sh
parentInitial commit: add git-crypt .gitattributes file (diff)
downloaddotfiles-4e734232c611890f616194ed5cfade2549e4491b.tar.gz
dotfiles-4e734232c611890f616194ed5cfade2549e4491b.tar.xz
Initial commit: now public (again)
Diffstat (limited to 'bash/npm.sh')
-rw-r--r--bash/npm.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/bash/npm.sh b/bash/npm.sh
new file mode 100644
index 0000000..f0a5d30
--- /dev/null
+++ b/bash/npm.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+npm_i() {
+ (which $1 &> /dev/null) || {
+ yellow "Installing $2"
+ npm i -g $2
+ }
+}
+
+npm_i eq edn-eq
+npm_i react-native react-native-cli
+npm_i detox detox-cli
+npm_i xml2json xml2json-command